Yandex Cloud Registry API, REST: LifecyclePolicy.GetDryRunResult
Returns one dry run result by its ID.
HTTP request
GET https://registry.api.cloud.yandex.net/cloud-registry/v1/lifecyclePolicyDryRunResults/{dryRunId}
Path parameters
|
Field |
Description |
|
dryRunId |
string Required field. ID of the dry run. The maximum string length in characters is 50. |
Response
HTTP Code: 200 - OK
{
"policyId": "string",
"runAt": "string",
"artifactsToHardDeleteCount": "string",
"artifactsToSoftDeleteCount": "string",
"dryRunId": "string",
"policySnapshot": [
{
// Includes only one of the fields `keepByAge`, `keepByVersion`, `delete`
"keepByAge": {
"youngerThanDays": "string"
},
"keepByVersion": {
"keepVersionsCount": "string"
},
"delete": {
// Includes only one of the fields `olderThanDays`, `versionCondition`, `always`
"olderThanDays": "string",
"versionCondition": {
"versionsCountGreaterThan": "string"
},
"always": "boolean",
// end of the list of possible fields
"type": "string",
"cooldownPeriodDays": "string"
},
// end of the list of possible fields
// Includes only one of the fields `dockerFilters`, `mavenFilters`
"dockerFilters": {
"tagStatus": "string"
},
"mavenFilters": {
"versionType": "string"
},
// end of the list of possible fields
"pathPrefix": "string",
"versionRegexp": "string",
"description": "string"
}
]
}
|
Field |
Description |
|
policyId |
string ID of the lifecycle policy. |
|
runAt |
string (date-time) Time when the dry run started. String in RFC3339 To work with values in this field, use the APIs described in the |
|
artifactsToHardDeleteCount |
string (int64) Count of artifacts to be hard deleted. |
|
artifactsToSoftDeleteCount |
string (int64) Count of artifacts to be soft deleted. |
|
dryRunId |
string ID of this dry run. Use it to get this result again later. |
|
policySnapshot[] |
Copy of the policy rules at the time of the dry run. |
LifecycleRule
A rule that defines lifecycle policy behavior.
|
Field |
Description |
|
keepByAge |
Rule that keeps artifacts by age. Includes only one of the fields Type of lifecycle rule. |
|
keepByVersion |
Rule that keeps artifacts by version count. Includes only one of the fields Type of lifecycle rule. |
|
delete |
Rule that deletes artifacts. Includes only one of the fields Type of lifecycle rule. |
|
dockerFilters |
Docker-specific filters. Includes only one of the fields Filters to determine which artifacts the rule applies to. |
|
mavenFilters |
Maven-specific filters. Includes only one of the fields Filters to determine which artifacts the rule applies to. |
|
pathPrefix |
string Path prefix to which the rule applies. |
|
versionRegexp |
string Regular expression pattern to match package version or docker tag. |
|
description |
string Description of the lifecycle policy rule |
KeepByAgeLifecycleRule
Rule that keeps artifacts younger than specified age.
|
Field |
Description |
|
youngerThanDays |
string (int64) Keep artifacts younger than this number of days. |
KeepByVersionLifecycleRule
Rule that keeps a specified number of recent versions.
|
Field |
Description |
|
keepVersionsCount |
string (int64) Number of versions to keep. |
DeleteLifecycleRule
Rule that deletes artifacts based on specified conditions.
|
Field |
Description |
|
olderThanDays |
string (int64) Delete artifacts older than specified days. Includes only one of the fields Condition that triggers deletion. |
|
versionCondition |
Delete artifacts by version count condition. Includes only one of the fields Condition that triggers deletion. |
|
always |
boolean Always delete (use with caution). Includes only one of the fields Condition that triggers deletion. |
|
type |
enum (DeleteLifecycleRuleKind) Type of deletion.
|
|
cooldownPeriodDays |
string (int64) Cooldown period in days before deletion. |
DeleteByVersionCondition
Condition for deletion based on version count.
|
Field |
Description |
|
versionsCountGreaterThan |
string (int64) Delete when version count exceeds this number. |
DockerFilters
Docker-specific filters for lifecycle rules.
|
Field |
Description |
|
tagStatus |
enum (TagStatus) Filter by tag status.
|
MavenFilters
Maven-specific filters for lifecycle rules.
|
Field |
Description |
|
versionType |
enum (VersionType) Filter by version type.
|